package com.ygtx.gxt.mapper;

import java.util.List;
import com.ygtx.gxt.domain.GxtMonthScoreLog;

/**
 * 月度工分日志Mapper接口
 * 
 * @author ruoyi
 * @date 2025-11-13
 */
public interface GxtMonthScoreLogMapper 
{
    /**
     * 查询月度工分日志
     * 
     * @param id 月度工分日志主键
     * @return 月度工分日志
     */
    public GxtMonthScoreLog selectGxtMonthScoreLogById(Long id);

    /**
     * 查询月度工分日志列表
     * 
     * @param gxtMonthScoreLog 月度工分日志
     * @return 月度工分日志集合
     */
    public List<GxtMonthScoreLog> selectGxtMonthScoreLogList(GxtMonthScoreLog gxtMonthScoreLog);

    /**
     * 新增月度工分日志
     * 
     * @param gxtMonthScoreLog 月度工分日志
     * @return 结果
     */
    public int insertGxtMonthScoreLog(GxtMonthScoreLog gxtMonthScoreLog);

    /**
     * 修改月度工分日志
     * 
     * @param gxtMonthScoreLog 月度工分日志
     * @return 结果
     */
    public int updateGxtMonthScoreLog(GxtMonthScoreLog gxtMonthScoreLog);

    /**
     * 删除月度工分日志
     * 
     * @param id 月度工分日志主键
     * @return 结果
     */
    public int deleteGxtMonthScoreLogById(Long id);

    /**
     * 批量删除月度工分日志
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGxtMonthScoreLogByIds(Long[] ids);
}